using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class InformacionRecuperacionLogic
    {
        #region Constructor

        private InformacionRecuperacionDataAccess InformacionRecuperacionDA;

        public InformacionRecuperacionLogic()
        {
            InformacionRecuperacionDA = new InformacionRecuperacionDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<InformacionRecuperacion> ListarInformacionRecuperacion()
        {
            List<InformacionRecuperacion> results = null;
            try
            {

                results = InformacionRecuperacionDA.ListadoInformacionRecuperacion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
